org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPAEdmMappingModelFactory

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPAEdmMappingModelFactory

-     public class JPAEdmMappingModelFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the org.apache.olingo.odata2.processor.api.jpa.model.mapping package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAEdmMappingModelFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.olingo.odata2.processor.api.jpa.model.mapping

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPAAttributeMapType` | `createJPAAttributeMapType()` Create an instance of `JPAAttributeMapType`
    `JPAEdmMappingModel` | `createJPAEDMMappingModel()` Create an instance of `JPAEdmMappingModel`
    `JPAEmbeddableTypeMapType` | `createJPAEmbeddableTypeMapType()` Create an instance of `JPAEmbeddableTypeMapType`
    `JPAPersistenceUnitMapType` | `createJPAPersistenceUnitMapType()` Create an instance of `JPAPersistenceUnitMapType`
    `JPARelationshipMapType` | `createJPARelationshipMapType()` Create an instance of `JPARelationshipMapType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPAEdmMappingModelFactory

          public JPAEdmMappingModelFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.olingo.odata2.processor.api.jpa.model.mapping

  - ### Method Detail

    - #### createJPARelationshipMapType

          public JPARelationshipMapType createJPARelationshipMapType()

      Create an instance of `JPARelationshipMapType`

    - #### createJPAAttributeMapType

          public JPAAttributeMapType createJPAAttributeMapType()

      Create an instance of `JPAAttributeMapType`

    - #### createJPAEDMMappingModel

          public JPAEdmMappingModel createJPAEDMMappingModel()

      Create an instance of `JPAEdmMappingModel`

    - #### createJPAPersistenceUnitMapType

          public JPAPersistenceUnitMapType createJPAPersistenceUnitMapType()

      Create an instance of `JPAPersistenceUnitMapType`

    - #### createJPAEmbeddableTypeMapType

          public JPAEmbeddableTypeMapType createJPAEmbeddableTypeMapType()

      Create an instance of `JPAEmbeddableTypeMapType`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.